/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* rip.htm */
function numObj (id, minLen, minVal, maxVal, errMsg)
	{
	this.id = id;
	this.minLen = minLen;
	this.minVal = minVal;
	this.maxVal = maxVal;
	this.errMsg = errMsg;
	}
function dateValidate (monthId, dayId, yearId, hoursId, minId, secId)
	{
	 /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid Month: Please enter a value between 1 - 12';    
    var errMsgL10n2 = 'Invalid Day: Please enter a value between 1 - 31';    
    var errMsgL10n3 = 'Invalid Year: Please enter a valid year';    
    var errMsgL10n4 = 'Invalid Hours: Please enter a value between 1 - 24';    
    var errMsgL10n5 = 'Invalid Minutes: Please enter a value between 0 - 59';    
    var errMsgL10n6 = 'Invalid Seconds: Please enter a value between 0 - 59'
    var errMsgObjL10n = document.getElementById ('hd.invalMonth');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalDay');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalYear');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalHour');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalMin');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalSec');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
     /* L10N Error Message Collection End */
	
	var dtVarObj = new Array ();
	dtVarObj[0] = new numObj(monthId, 1, 1, 12, errMsgL10n1);
	dtVarObj[1] = new numObj(dayId, 1, 1, 31, errMsgL10n2);
	dtVarObj[2] = new numObj(yearId, 1, 0, 0, errMsgL10n3);
	dtVarObj[3] = new numObj(hoursId, 1, 1, 24, errMsgL10n4);
	dtVarObj[4] = new numObj(minId, 1, 0, 59, errMsgL10n5);
	dtVarObj[5] = new numObj(secId, 1, 0, 59, errMsgL10n6);
	var idObj = null;
	for (var idx = 0; idx < dtVarObj.length; ++idx)
		{
		idObj = document.getElementById (dtVarObj[idx].id);
		if (!idObj || idObj.disabled) continue;
		if ((idObj.value.length < dtVarObj[idx].minLen) ||
			(parseInt (idObj.value, 10) < dtVarObj[idx].minVal) ||
			((dtVarObj[idx].maxVal != 0) && (parseInt (idObj.value, 10) > dtVarObj[idx].maxVal)))
			{
			alert (dtVarObj[idx].errMsg);
			idObj.focus ();
			return false;
			}
		}
	return true;
	}
function ripValidate ()
	{
	 /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid First MD5 Key ID: Please enter value between 1 - 255.';    
    var errMsgL10n2 = 'Invalid First MD5 Key ID:';    
    var errMsgL10n3 = 'Please enter first MD5 authentication key';       
    var errMsgL10n4 = 'Invalid Second MD5 Key ID: Please enter value between 1 - 255.';    
    var errMsgL10n5 = 'Invalid Second MD5 Key ID:';      
    var errMsgL10n6 = 'Please enter second MD5 authentication key';
     var errMsgObjL10n = document.getElementById ('hd.invalFrstMd5KyIdBet');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalFrstMd5KyId');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrFstMd5AuthKey');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalSecMd5KyIdBet');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalSecMd5KyId');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrSecMd5AuthKey');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
     /* L10N Error Message Collection End */
	
    var md5KeyIdObj = document.getElementById('txtMd5KeyId1');
    if (md5KeyIdObj && !md5KeyIdObj.disabled)
        {
        if (numericValueRangeCheck (md5KeyIdObj, 1, 
                                errMsgL10n1,
                                1, 255, true,errMsgL10n2, "") == false)
        return false;
        }
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtMd5AuthKey1," +
                       errMsgL10n3;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
                       
    if (dateValidate ('txtMonth1', 'txtDate1', 'txtYear1', 'txtHr1', 'txtMin1', 'txtSec1') == false)
    	return false;
    if (dateValidate ('txtMonth2', 'txtDate2', 'txtYear2', 'txtHr2', 'txtMin2', 'txtSec2') == false)
    	return false;
    md5KeyIdObj = document.getElementById('txtMd5KeyId2');
    if (md5KeyIdObj && !md5KeyIdObj.disabled)
        {
        if (numericValueRangeCheck (md5KeyIdObj, 1, 
                               errMsgL10n4,
                                1, 255, true,errMsgL10n5, "") == false)
        return false;
        }
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtMd5AuthKey2," +
                       errMsgL10n6;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
                       
    if (dateValidate ('txtMonth3', 'txtDate3', 'txtYear3', 'txtHr3', 'txtMin3', 'txtSec3') == false)
    	return false;
    if (dateValidate ('txtMonth4', 'txtDate4', 'txtYear4', 'txtHr4', 'txtMin4', 'txtSec4') == false)
    	return false;
    return true;
	}
