/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_vlan_profiles.htm */

function lanSetupValidate ()
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please enter Profile Name';
    var errMsgL10n2 = 'Please enter Vlan Id';
    var errMsgL10n3 = 'Please enter a valid DHCP lease time';
    var errMsgL10n4 = 'Please enter a valid LDAP Server';
    var errMsgL10n5 = 'Please enter a valid Search Base';
    var errMsgL10n6 = 'Invalid IP address.';
    var errMsgL10n7 = 'for octet';
    var errMsgL10n8 = 'Invalid IP subnet mask.';
    var errMsgL10n9 = 'Invalid  starting IP address.';
    var errMsgL10n10 = 'Invalid  ending IP address.';
    var errMsgL10n11 = 'Starting IP Address must be in LAN subnet:';
    var errMsgL10n12 = 'Ending IP Address must be in LAN subnet:';
    var errMsgL10n13 = 'DHCP IP Range Error: End address should be higher than or equal to Start address';
    var errMsgL10n14 = 'Invalid Primary DNS Server IP address.';
    var errMsgL10n15 = 'Invalid Secondary DNS Server IP address.';
    var errMsgL10n16 = 'Invalid WINS Server IP address.';
    var errMsgL10n17 = 'Invalid Relay Gateway IP address.';
    var errMsgL10n18 = 'Invalid LDAP Port';
    var errMsgL10n19 = 'Invalid  Lease Time:';
    var errMsgL10n20 = 'Hours';
    var errMsgObjL10n = document.getElementById ('hd.valProfNameVlp');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrVlanIdVlp');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValDhcpLeaseTmVlp');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValLdapServVlp');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValSrchBseVlp');
    if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateVlp');
    if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpSnmVlp');
    if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.strtIpAddrInLnSnetVlp');
    if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.endIpAddrInLnSnetVlp');
    if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.dhcpIpRngeErrVlp');
    if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalPrDnsServIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n14 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalSecDnsServIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n15 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalWinsServIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n16 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalRelayGtwIpAddrVlp');
    if (errMsgObjL10n) errMsgL10n17 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalLdapPrtVlp');
    if (errMsgObjL10n) errMsgL10n18 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalLeaseTmVlp');
    if (errMsgObjL10n) errMsgL10n19 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.hrVlp');
    if (errMsgObjL10n) errMsgL10n20 = errMsgObjL10n.value;
    /* L10N Error Message Collection Start */    

    var txtFieldIdArr = new Array (); 
    txtFieldIdArr[0] = "txtProfileName,"+errMsgL10n1;
    txtFieldIdArr[1] = "txtVlanId,"+errMsgL10n2;    
   
    txtFieldIdArr[2] = "txtDhcpLeaseTime,"+errMsgL10n3;
    txtFieldIdArr[3] = "txtLdapSvr,"+errMsgL10n4;    
    txtFieldIdArr[4] = "txtLdapSearchBase,"+ errMsgL10n5;

    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

	var vlanIdObj = document.getElementById ('txtVlanId');
	if (!vlanIdObj.disabled && !vlanIdObj.readOnly && (checkVlanId (vlanIdObj) == false))
		return false;

	if (ipv4AddrOctetsValidate ('tblLanSetupIpAddr', 'IP', false, true,
             errMsgL10n6, errMsgL10n7+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblLanSetupSnetMask', 'SM', false, true,
             errMsgL10n8, errMsgL10n7+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpStartIp', 'IP', false, true,
             errMsgL10n9, errMsgL10n7+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpEndIp', 'IP', false, true,
             errMsgL10n10, errMsgL10n7+" ", true) == false)
    	return false;

	if (document.getElementById('rdbDhcpEnable').checked)
		{
		var lanIPInt = getIPInt('tblLanSetupIpAddr');
		var lanSnetInt = getIPInt('tblLanSetupSnetMask');
		var lanDhcpStIPInt = getIPInt('tblDhcpStartIp');
		var lanDhcpEndIPInt = getIPInt('tblDhcpEndIp');
		
		var lanIPStr = getIPStr('tblLanSetupIpAddr');
		var lanSnetStr = getIPStr('tblLanSetupSnetMask');
	
		if (!isInSubnet(lanDhcpStIPInt, lanIPInt, lanSnetInt))
			{
	   		alert (errMsgL10n11 + lanIPStr + "/" + lanSnetStr);
	    	return false;
			}
			
		if (!isInSubnet(lanDhcpEndIPInt, lanIPInt, lanSnetInt))
			{
	   		alert (errMsgL10n12 + lanIPStr + "/" + lanSnetStr);
	    	return false;
			}
	
		if (compareIP(lanDhcpStIPInt, lanDhcpEndIPInt) > 0)
			{
	   		alert (errMsgL10n13);
	    	return false;
			}
		}

	if (ipv4AddrOctetsValidate ('tblPriDnsServer', 'IP', true, true,
             errMsgL10n14, errMsgL10n7+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblSecDnsServer', 'IP', true, true,
             errMsgL10n15, errMsgL10n7+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpWinsSer', 'IP', true, true,
            errMsgL10n16, errMsgL10n7+" ", true) == false)
    	return false;    	
	if (ipv4AddrOctetsValidate ('tblDhcpRelayGw', 'IP', false, true,
             errMsgL10n17, errMsgL10n7+" ", true) == false)
    	return false;

    var ldapPortObj = document.getElementById ('txtLdapPort');
    if (ldapPortObj && !ldapPortObj.disabled)
    	{
    	if (ldapPortObj.value != "" && isNaN (ldapPortObj.value))
    		{
    		alert (errMsgL10n18);
    		return false;
    		}
    	else if (ldapPortObj.value != "" && !isNaN (ldapPortObj.value))
    		{
    		if (numericValueRangeCheck (ldapPortObj, '', '', 0, 65535, true, errMsgL10n18+':', '') == false)
    			return false;
    		}
    	}

    var leaseTimeObj = document.getElementById ('txtDhcpLeaseTime');
    if (!leaseTimeObj) return;
    if (!leaseTimeObj.disabled)
		return numericValueRangeCheck (leaseTimeObj, '', '', 1, 262800, true, errMsgL10n19, errMsgL10n20);
    return true;    
    }
function dhcpDisable ()
	{
	depFieldCheck ('rdbDhcpDisable', true, 'txtDhcpDomainName txtDhcpLeaseTime', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer tblDhcpRelayGw', '', '');
	fieldStateChangeWr ('chkLdapEnable txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');	
	}
function dhcpEnable ()
	{
	depFieldCheck ('rdbDhcpEnable', true, '', 'tblDhcpRelayGw', 'txtDhcpDomainName txtDhcpLeaseTime chkLdapEnable txtLdapSvr txtLdapSearchBase txtLdapPort', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer');
	if (document.getElementById('rdbDhcpEnable').checked)
		{	
		depFieldCheck ('chkLdapEnable', true, '', '', 'txtLdapSvr txtLdapSearchBase txtLdapPort', '');
		depFieldCheck ('chkLdapEnable', false, 'txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');	
		}
	}
function dhcpRelayCheck ()
	{
	depFieldCheck ('rdbDhcpRelays', true, 'txtDhcpDomainName txtDhcpLeaseTime', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer', '', 'tblDhcpRelayGw');
	fieldStateChangeWr ('chkLdapEnable txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');	
	}
function LDAPEnableCheck ()
	{
	depFieldCheck ('chkLdapEnable', true, '', '', 'txtLdapSvr txtLdapSearchBase txtLdapPort', '');
	depFieldCheck ('chkLdapEnable', false, 'txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');	
	}	
function lanSetupInit ()
	{
	LDAPEnableCheck ();	
	dhcpDisable ();
	dhcpRelayCheck ();
    dhcpEnable ();
    var dmzObj = document.getElementById ('hdDmzEnabled');
    if (!dmzObj || dmzObj.value != "1") return;
    if (document.getElementById ('chkPort6Valn'))
		fieldStateChangeWr ('chkPort6Valn', '', '', '');
    else
		fieldStateChangeWr ('chkPort4Valn', '', '', '');
	}
function checkVlanId (Obj)
	{
	/* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid VLAN ID. Please enter a value between 2-4089';
    var errMsgL10n2 = 'Invalid VLAN ID. Please enter a value between 2-4091';
    var errMsgObjL10n = document.getElementById ('hd.invalVlanIdBet2Vlp');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalVlanIdBet1Vlp');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */
    
	var errMsg = errMsgL10n1;
	var maxPort = 4089;
    if (document.getElementById ('chkPort6Valn'))
    	{
    	errMsg = errMsgL10n2;
    	maxPort = 4091;
    	}

	if (numericValueRangeCheck (Obj, '', '', 2, maxPort, false, '', '') == false)
		{
		alert (errMsg);
		return false;
		}
	}
