/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/

/* wan1_setup.htm and wan2_setup.htm */
function wanSetupValidate ()
    {
    /* L10N Error Message Collection Start */
    var loginIdErrMsg = "Invalid ISP login information: Please enter a valid login name or ID provided by your ISP";
    var errMsgObjL10N = document.getElementById('hdLoginIdErr');
    if (errMsgObjL10N) loginIdErrMsg = errMsgObjL10N.value;
    var resetHoursErrMsg = "Please enter a valid Hours value";
    errMsgObjL10N = document.getElementById('hdResetHoursErr');
    if (errMsgObjL10N) resetHoursErrMsg = errMsgObjL10N.value;
    var resetMinsErrMsg = "Please enter a valid Minutes value";
    errMsgObjL10N = document.getElementById('hdResetMinsErr');
    if (errMsgObjL10N) resetMinsErrMsg = errMsgObjL10N.value;
    var resetDelayErrMsg = "Please enter a valid Delay in Seconds";
    errMsgObjL10N = document.getElementById('hdResetDelayErr');
    if (errMsgObjL10N) resetDelayErrMsg = errMsgObjL10N.value;
    var resetHoursErrMsg1 = "Invalid Hours value:";
    errMsgObjL10N = document.getElementById('hdResetHoursErr1');
    if (errMsgObjL10N) resetHoursErrMsg1 = errMsgObjL10N.value;
    var resetMinsErrMsg1 = "Invalid Minutes value";
    errMsgObjL10N = document.getElementById('hdResetMinsErr1');
    if (errMsgObjL10N) resetMinsErrMsg1 = errMsgObjL10N.value;
    var resetDelayErrMsg1 = "Invalid Delay value:";
    errMsgObjL10N = document.getElementById('hdResetDelayErr1');
    if (errMsgObjL10N) resetDelayErrMsg1 = errMsgObjL10N.value;
    var resetDelayUnits = "Seconds";
    errMsgObjL10N = document.getElementById('hdResetDelayUnits');
    if (errMsgObjL10N) resetDelayUnits = errMsgObjL10N.value;
    var idleTimeoutErrMsg = "Invalid idle timeout value: Please enter a value between 5 and 999 minutes"
    errMsgObjL10N = document.getElementById('hdIdleTimeoutErr');
    if (errMsgObjL10N) idleTimeoutErrMsg = errMsgObjL10N.value;
    var invalidIdleTOErr = "Invalid idle timeout value:";
    errMsgObjL10N = document.getElementById('hdInvalidIdleTimeoutErr');
    if (errMsgObjL10N) invalidIdleTOErr = errMsgObjL10N.value + ": ";
    var minutes = "minutes.";
    errMsgObjL10N = document.getElementById('hdMinutes');
    if (errMsgObjL10N) minutes = errMsgObjL10N.value;
    var myIpAddreErr = "Invalid IP address in My IP Address field."
    errMsgObjL10N = document.getElementById('hdMyIpAddrErr');
    if (errMsgObjL10N) myIpAddreErr = errMsgObjL10N.value;
    var forOctet = "for octet "
    errMsgObjL10N = document.getElementById('hdForOctet');
    if (errMsgObjL10N) forOctet = errMsgObjL10N.value + " ";
    var svrIpAddreErr = "Invalid IP address in Server IP Address field.";
    errMsgObjL10N = document.getElementById('hdSvrIpAddrErr');
    if (errMsgObjL10N) svrIpAddreErr = errMsgObjL10N.value;
    var staticIpAddrErr = "Invalid static IP address.";
    errMsgObjL10N = document.getElementById('hdStaticIpAddrErr');
    if (errMsgObjL10N) staticIpAddrErr = errMsgObjL10N.value;
    var staticIpAddrErr = "Invalid static IP address.";
    errMsgObjL10N = document.getElementById('hdStaticIpAddrErr');
    if (errMsgObjL10N) staticIpAddrErr = errMsgObjL10N.value;
    var snetmaskErr = "Invalid IP subnet mask.";
    errMsgObjL10N = document.getElementById('hdSnetMaskErr');
    if (errMsgObjL10N) snetmaskErr = errMsgObjL10N.value;
    var gwIpAddrErr = "Invalid Gateway IP address.";
    errMsgObjL10N = document.getElementById('hdGwIpAddrErr');
    if (errMsgObjL10N) gwIpAddrErr = errMsgObjL10N.value;
    var priDnsSvrErr = "Invalid Primary DNS server address.";
    errMsgObjL10N = document.getElementById('hdPriDnsSvrErr');
    if (errMsgObjL10N) priDnsSvrErr = errMsgObjL10N.value;
    var secDnsSvrErr = "Invalid Secondary DNS server addressr.";
    errMsgObjL10N = document.getElementById('hdSecDnsSvrErr');
    if (errMsgObjL10N) secDnsSvrErr = errMsgObjL10N.value;
    /* L10N Error Message Collection End */

    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtWi1LoginUsrName," + loginIdErrMsg;
    txtFieldIdArr[1] = "txtWanConnRstHour," + resetHoursErrMsg;
    txtFieldIdArr[2] = "txtWanConnRstMin," + resetMinsErrMsg;
    txtFieldIdArr[3] = "txtWanConnRstDelay," + resetDelayErrMsg;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

    var idleTimeoutObj = document.getElementById('txtWi1TypeIdleTimeOut');
    if (idleTimeoutObj && !idleTimeoutObj.disabled)
        {
        if (numericValueRangeCheck (idleTimeoutObj, 1, idleTimeoutErrMsg, 5, 999, true, invalidIdleTOErr, minutes) == false)
            return false;
        }

    var hoursObj = document.getElementById('txtWanConnRstHour');
    if (hoursObj && !hoursObj.disabled &&
        numericValueRangeCheck (hoursObj, '', '', 0, 23, true, resetHoursErrMsg1, '') == false)
        return false;

    var minObj = document.getElementById('txtWanConnRstMin');
    if (minObj && !minObj.disabled &&
        numericValueRangeCheck (minObj, '', '', 0, 59, true, resetMinsErrMsg1, '') == false)
        return false;

    var delayObj = document.getElementById('txtWanConnRstDelay');
    if (delayObj && !delayObj.disabled &&
        numericValueRangeCheck (delayObj, '', '', 0, 59, true, resetDelayErrMsg1, resetDelayUnits) == false)
        return false;

    /* validate all IP addresses: check for empty and invalid values */
    if (ipv4AddrOctetsValidate ('tblWi1TypeMyIpAddr', 'IP', false, true, myIpAddreErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1TypeServIpAddr', 'IP', false, true, svrIpAddreErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1IpAddr', 'IP', false, true, staticIpAddrErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1IpSnetmask', 'SM', false, true, snetmaskErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1IpGway', 'IP', false, true, gwIpAddrErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1DNSPrimary', 'IP', false, true, priDnsSvrErr, forOctet, true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblWi1DNSSec', 'IP', true, true, secDnsSvrErr, forOctet, true) == false)
        return false;
    return true;
    }
function wan1InitalSettings ()
	{
	ipAddrCheck ();
	dnsServerCheck ();
	wan1IspAustriaEnable ();
	wan1IspOtherEnable ();
    ispLoginYesCheck ();
	ispLoginNoCheck ();
	}
	
function ispLoginYesCheck ()
	{
	if (document.getElementById('rdbWi1LoginY').checked)
		{
		fieldStateChangeWr ('', '', '', 'tblWi1LoginSection tblWi1TypeSection tblWi1IpAddrSection tblWi1DNSSection');
		wan1IspAustriaEnable ();
		wan1IspOtherEnable ();
		ipAddrCheck ();
		dnsServerCheck ();
		}
	}
	
function ispLoginNoCheck ()
	{
	if (document.getElementById('rdbWi1LoginN').checked)
		{
		fieldStateChangeWr ('', 'tblWi1LoginSection tblWi1TypeSection', '', 'tblWi1IpAddrSection tblWi1DNSSection');
		ipAddrCheck ();
		dnsServerCheck ();
		ClientIdentifierCheck ();
		}
	}
	
function idleTimeOutCheck ()
	{
	depFieldCheck ('rdbWi1TypeKeepConn', true, 'txtWi1TypeIdleTimeOut', '', '', '');
	depFieldCheck ('rdbWi1TypeKeepConn', false, '', '', 'txtWi1TypeIdleTimeOut', '');
	depFieldCheck ('rdbWi1TypeIdleTimeOut', true, '', '', 'txtWi1TypeIdleTimeOut', '');
	depFieldCheck ('rdbWi1TypeIdleTimeOut', false, 'txtWi1TypeIdleTimeOut', '', '', '');
    idleLBCheck();
	}

function idleLBCheck ()
	{
	if (document.getElementById('hdWansLBIdleStatus') &&
        document.getElementById('hdWansLBIdleStatus').value == "1")
		{
        // Idle timeout is not allowed in LB mode
		fieldStateSet ('rdbWi1TypeKeepConn','');
		fieldStateChangeWr ('rdbWi1TypeIdleTimeOut', '', '', '');
		fieldStateChangeWr ('txtWi1TypeIdleTimeOut', '', '', '');
		}
	}
	
function wan1IspAustriaEnable ()
	{
	if (document.getElementById('rdbWi1TypeAustria').checked)
		{
		fieldStateChangeWr ('txtWi1TypeDmName chkWanConnRstEnable txtWanConnRstHour txtWanConnRstMin txtWanConnRstDelay', '', 'txtWi1TypeAcName rdbWi1TypeKeepConn', 'tblWi1TypeMyIpAddr tblWi1TypeServIpAddr tblWi1IpAddrSection');
     	idleTimeOutCheck ();
		ipAddrCheck ();
		}
	}
	
function wan1IspOtherEnable ()
	{
	if (document.getElementById('rdbWi1TypeOther').checked)
		{
		fieldStateChangeWr ('', 'tblWi1TypeMyIpAddr tblWi1TypeServIpAddr', 'txtWi1TypeAcName txtWi1TypeDmName rdbWi1TypeKeepConn chkWanConnRstEnable txtWanConnRstHour txtWanConnRstMin txtWanConnRstDelay', 'tblWi1IpAddrSection');
     	idleTimeOutCheck ();
		wanConnRstCkeck ();
		ipAddrCheck ();
		}
	}
function wanTest (currWanId)
	{
    if (hdPrimWanId.value != null)
        {
        var primWanId = parseInt (hdPrimWanId.value, 10);

        if (currWanId == primWanId)
            {
          	window.open('http://www.netgear.com');
            return;
            }
        }
   
    switch (currWanId)
        {
        case 0:  /* WAN1 */
             alert ("The test can be performed after setting WAN Mode to " +
                    "Single Port and selecting Primary Port as WAN1.");
             break;
        case 1:  /* WAN2 */
             alert ("The test can be performed after setting WAN Mode to " +
                    "Single Port and selecting Primary Port as WAN2.");
             break;
        case 7:  /* WAN3 */
             alert ("The test can be performed after setting WAN Mode to " +
                    "Single Port and selecting Primary Port as WAN3.");
             break;
        case 8:  /* WAN4 */
             alert ("The test can be performed after setting WAN Mode to " +
                    "Single Port and selecting Primary Port as WAN4.");
             break;
        default:
             return;
        }
    return;
	}
function wanConnRstCkeck ()
	{
	depFieldCheck ('chkWanConnRstEnable', true, '', '', 'txtWanConnRstHour txtWanConnRstMin txtWanConnRstDelay', '');
	depFieldCheck ('chkWanConnRstEnable', false, 'txtWanConnRstHour txtWanConnRstMin txtWanConnRstDelay', '', '', '');
	}
function ClientIdentifierCheck ()
	{
	depFieldCheck ('chkDhcpClientId', true, '', '', 'txtWansClientIdName', '');
	depFieldCheck ('chkDhcpClientId', false, 'txtWansClientIdName', '', '', '');
	}
