/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_dw_in_service.htm Start */
function fwAddDwInServicesValidate ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid port number- Please enter value between 0 - 65535.';
     var errMsgL10n2 ='Invalid port number:';
     var errMsgL10n3 ='Invalid DMZ server IP address.';
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid DMZ users starting IP address.';
     var errMsgL10n6 ='Invalid DMZ users ending IP address.';
     var errMsgL10n7 ='DMZ Users';
     var errMsgL10n8 ='Invalid WAN users starting IP address.';
     var errMsgL10n9 ='Invalid WAN users ending IP address.';
     var errMsgL10n10 ='WAN Users';
     var errMsgObjL10n = document.getElementById ('hd.invalPortNumRange');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalPortNum');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzServIpAddr');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctatedmzwan');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzUsrStrtIpAddr');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzUsrEndIpAddr');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.dmzUsr');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrStrtIpAddr');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrEndIpAddr');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.wanUsr');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;     
     /* L10N Error Message Collection End */

	obj = document.getElementById('txtTranslatePortNum');
        if (obj && !obj.disabled)
        {
	if (portValueRangeCheck (obj, 0, 65535, 1, null, true, 'Invalid port number.') == false)
        return false;
	}
	if (ipv4AddrOctetsValidate ('tblAddDwInLanServer', 'IP', false, true,
             errMsgL10n3, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addDWInLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addDWInLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('addDWInLanUserStart','addDWInLanUserFinish', errMsgL10n7) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addDWInWanUserStart', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addDWInWanUserFinish', 'IP', false, true,
             errMsgL10n9, errMsgL10n4+" ", true) == false)
		return false;
	if (ipRangeValidate ('addDWInWanUserStart','addDWInWanUserFinish', errMsgL10n10) == false)
		return false;
	return true;	
    }
    
function fwActionCheckDW ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule selQos','tblAddDwInLanServer');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selQos','tblAddDwInLanServer');
			break;
		default:
			fieldStateChangeWr ('selQos selSchedule','tblAddDwInLanServer','','');
			break;
		}
	/* check for NAT mode */
	var fldObj = document.getElementById('hdNatState');
	if (parseInt (fldObj.value, 10) == 0)	/* CLASSICAL ROUTING */
		fieldStateChangeWr ('', 'tblAddDwInLanServer', '', '');
	}
	    

function dropFieldSelectLanDW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addDWInLanUserFinish', '', 'addDWInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addDWInLanUserStart addDWInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addDWInLanUserStart addDWInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanDW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addDWInWanUserFinish', '', 'addDWInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addDWInWanUserStart addDWInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addDWInWanUserStart addDWInWanUserFinish', '', '');
   			break;
   		}
    }
    
function translatePortNumCheck ()
	{
	depFieldCheck ('chkTranslatePortNum', true, '', '', 'txtTranslatePortNum', '');
	depFieldCheck ('chkTranslatePortNum', false, 'txtTranslatePortNum', '', '', '');
	}
function InitialSettingsDW ()
	{
	fwActionCheckDW ();
	var fldObj = document.getElementById('hdNatState');
	if (parseInt (fldObj.value, 10) == 0)
		fieldStateChangeWr ('chkTranslatePortNum txtTranslatePortNum selPublicDstIpAddr', 'tblAddDwInLanServer', '', '');
	else
		{
		translatePortNumCheck ();
		fieldStateChangeWr ('addDWInLanUser', 'addDWInLanUserStart addDWInLanUserFinish', '', '');
		}
	
	var fldObj = document.getElementById('addDWInLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanDW (fldObj);
	var fldObj = document.getElementById('addDWInWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanDW (fldObj);
	}
/* add_dw_in_service.htm End */

/* add_dw_out_service.htm Start */

function fwAddDwOutServicesValidate ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid starting IP address for DMZ users.';
     var errMsgL10n2 ='for octet';
     var errMsgL10n3 ='Invalid ending IP address for DMZ users.';
     var errMsgL10n4 ='DMZ Users';
     var errMsgL10n5 ='Invalid starting IP address for WAN users.';
     var errMsgL10n6 ='Invalid ending IP address for WAN users.';
     var errMsgL10n7 ='WAN Users';
     var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrDmzUsr');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctatedmzwan');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDmzUsr');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.dmzUsr');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrWanUsr');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrWanUsr');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
	 errMsgObjL10n = document.getElementById ('hd.wanUsr');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */    
     
	if (ipv4AddrOctetsValidate ('addDWOutLanUserStart', 'IP', false, true,
             errMsgL10n1, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addDWOutLanUserFinish', 'IP', false, true,
             errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addDWOutLanUserStart','addDWOutLanUserFinish', errMsgL10n4) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addDWOutWanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addDWOutWanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addDWOutWanUserStart','addDWOutWanUserFinish', errMsgL10n7) == false)
		return false;
    return true;
    }
    
function fwActionCheck ()
	{
	var selNATIPObj = document.getElementById ('selNATIP');
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule selQos selNATIP','');
			dropFieldSelectNAT (selNATIPObj);			
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			fieldStateChangeWr ('','','selQos selNATIP','');
			dropFieldSelectNAT (selNATIPObj);			
			break;
		default:
			fieldStateChangeWr ('selSchedule selQos selNATIP','','','');
			break;
		}
	}
	
function dropFieldSelectLan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addDWOutLanUserFinish', '', 'addDWOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addDWOutLanUserStart addDWOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addDWOutLanUserStart addDWOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addDWOutWanUserFinish', '', 'addDWOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addDWOutWanUserStart addDWOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addDWOutWanUserStart addDWOutWanUserFinish', '', '');
   			break;
   		}
    }

function InitialSettings ()
	{
	fwActionCheck ();
	var fldObj = document.getElementById('addDWOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLan (fldObj);
	var fldObj = document.getElementById('addDWOutWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWan (fldObj);

	}
function wanModeCheck ()
{
	var wanModeObj = document.getElementById('keyNatIpDisable');
	if(wanModeObj.value == "0")
            fieldStateChangeWr ('selNATIP','', '', '');

}

/* add_dw_out_service.htm End */

/* edit_dw_in_service.htm start */

function fwEditDwInServicesValidate()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid port number: Please enter value between 0 - 65535.';
     var errMsgL10n2 ='Invalid port number:';
     var errMsgL10n3 ='Invalid DMZ server IP address.';
     var errMsgL10n4 ='for octet';
     var errMsgL10n5 ='Invalid DMZ users starting IP address.';
     var errMsgL10n6 ='Invalid DMZ users ending IP address.';
     var errMsgL10n7 ='Invalid WAN users starting IP address.';
     var errMsgL10n8 ='Invalid WAN users ending IP address.';
     var errMsgObjL10n = document.getElementById ('hd.invalPortNumRange');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalPortNum');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzServIpAddr');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctatedmzwan');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzUsrStrtIpAddr');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalDmzUsrEndIpAddr');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrStrtIpAddr');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalWanUsrEndIpAddr');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
    
	obj = document.getElementById('txtTranslatePortNum');
        if (obj && !obj.disabled)
        {
	if (portValueRangeCheck (obj, 0, 65535, 1, null, true, 'Invalid port number.') == false)
        return false;
	}
	if (ipv4AddrOctetsValidate ('tblEditDwInDmzServer', 'IP', false, true,
             errMsgL10n3, errMsgL10n4+" ", true) == false)
		return false;

	if (ipv4AddrOctetsValidate ('editDWInLanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editDWInLanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editDWInWanUserStart', 'IP', false, true,
             errMsgL10n7, errMsgL10n4+" ", true) == false)
		return false;
	if (ipv4AddrOctetsValidate ('editDWInWanUserFinish', 'IP', false, true,
             errMsgL10n8, errMsgL10n4+" ", true) == false)
		return false;
	return true;	
    }
function fwActionCheckEditDW ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule selQos','tblEditDwInDmzServer');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','selQos','tblEditDwInDmzServer');
			break;
		default:
			fieldStateChangeWr ('selSchedule selQos','tblEditDwInDmzServer','','');
			break;
		}
	/* check for NAT mode */
	var fldObj = document.getElementById('hdNatState');
	if (parseInt (fldObj.value, 10) == 0)	/* CLASSICAL ROUTING */
		fieldStateChangeWr ('', 'tblEditDwInDmzServer', '', '');
	}
	

function translatePortNumCheckEditDW ()
	{
	depFieldCheck ('chkTranslatePortNum', true, '', '', 'txtTranslatePortNum', '');
	depFieldCheck ('chkTranslatePortNum', false, 'txtTranslatePortNum', '', '', '');
	}
function dropFieldSelectLanEditDW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editDWInLanUserFinish', '', 'editDWInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editDWInLanUserStart editDWInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editDWInLanUserStart editDWInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEditDW (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editDWInWanUserFinish', '', 'editDWInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editDWInWanUserStart editDWInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editDWInWanUserStart editDWInWanUserFinish', '', '');
   			break;
   		}
    }
function InitialSettingsEditDW ()
	{
	optionValueSelect ('selQos', 'hdSelQoSProfName');
	optionValueSelect ('selFwService', 'hdSelSvrName');
	optionValueSelect ('editDWInWanUser', 'hdSelWanAddrType');
	optionValueSelect ('selPublicDstIpAddr', 'hdSelPubAddrType');

	
	fwActionCheckEditDW ();
	var fldObj = document.getElementById('hdNatState');
	if (parseInt (fldObj.value, 10) == 0)
		fieldStateChangeWr ('chkTranslatePortNum txtTranslatePortNum selPublicDstIpAddr', 'tblEditDwInDmzServer', '', '');
	else
		{
		translatePortNumCheckEditDW ();
		fieldStateChangeWr ('editDWInDmzUser', 'editDWInLanUserStart editDWInLanUserFinish', '', '');
		}
	var fldObj = document.getElementById('editDWInDmzUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEditDW (fldObj);
	var fldObj = document.getElementById('editDWInWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEditDW (fldObj);
	}
	
/* edit_dw_in_service.htm End */

/* edit_dw_out_service.htm start */

function fwEditDwOutServicesValidate ()
    {
    /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Invalid starting IP address for DMZ users.';
     var errMsgL10n2 ='for octet';
     var errMsgL10n3 ='Invalid ending IP address for DMZ users.';
     var errMsgL10n4 ='Invalid starting IP address for WAN users.';
     var errMsgL10n5 ='Invalid ending IP address for WAN users.';
     var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrDmzUsr');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctatedmzwan');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDmzUsr');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrWanUsr');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrWanUsr');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */    
    
	if (ipv4AddrOctetsValidate ('editDWOutLanUserStart', 'IP', false, true,
             errMsgL10n1, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editDWOutLanUserFinish', 'IP', false, true,
             errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editDWOutWanUserStart', 'IP', false, true,
              errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editDWOutWanUserFinish', 'IP', false, true,
             errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
    return true;
    }
    
function fwActionCheckEdit ()
	{
	var selNATIPObj = document.getElementById ('selNATIP');	
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule selQos selNATIP','');		
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			fieldStateChangeWr ('','','selQos selNATIP','');			
			break;
		default:
			fieldStateChangeWr ('selSchedule selQos selNATIP','','','');
			break;
		}
	}
function dropFieldSelectLanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editDWOutLanUserFinish', '', 'editDWOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editDWOutLanUserStart editDWOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editDWOutLanUserStart editDWOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editDWOutWanUserFinish', '', 'editDWOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editDWOutWanUserStart editDWOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editDWOutWanUserStart editDWOutWanUserFinish', '', '');
   			break;
   		}
    }

function InitialSettingsEdit ()
	{
	optionValueSelect ('selQos', 'hdSelQoSProfName');
	optionValueSelect ('selFwService', 'hdSelSvrName');
	optionValueSelect ('editDWOutWanUser', 'hdSelWanAddrType');
	optionValueSelect ('selNATIP', 'hdNATIP');

	fwActionCheckEdit ();
	var fldObj = document.getElementById('editDWOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEdit (fldObj);
	var fldObj = document.getElementById('editDWOutWanUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEdit (fldObj);
	}
function wanModeCheckEdit ()
{
	var wanModeObj = document.getElementById('keyNatIpDisable');
	if(wanModeObj.value == "0")
            fieldStateChangeWr ('selNATIP','', '', '');
	}

/* edit_dw_out_service.htm End */
	
