/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_mode_config.htm  */
function autoPolicyPfsKey ()
	{
	depFieldCheck ('pfsKey', true, '', '', 'pfsKeyGroup', '');
	depFieldCheck ('pfsKey', false, 'pfsKeyGroup', '', '', '');
	}
function modeCfgDataValidate ()
	{
	 /* L10N Error Message Collection Start */
     var errMsgL10n1 ='Please enter a name for the mode config data.';
     var errMsgL10n2 ='Invalid IP address for first pool start address.';
     var errMsgL10n3 ='for octet';
     var errMsgL10n4 ='Invalid IP address for first pool end address.';
     var errMsgL10n5 ='Invalid IP address for second pool start address.';
     var errMsgL10n6 ='Invalid IP address for second pool end address.';
     var errMsgL10n7 ='Invalid IP address for third pool start address.';
     var errMsgL10n8 ='Invalid IP address for third pool end address.';
     var errMsgL10n9 ='Invalid IP address for primary WINS address.';
     var errMsgL10n10 ='Invalid IP address for secondary WINS address.';
     var errMsgL10n11 ='Invalid IP address for primary DNS address.';
     var errMsgL10n12 ='Invalid IP address for secondary DNS address.';
     var errMsgL10n13 ='seconds';
     var errMsgL10n14 ='kilo bytes';
     var errMsgL10n15 ='Please enter a valid SA lifetime in';
     var errMsgL10n16 ='Invalid IP address for local IP address.';
     var errMsgL10n17 ='Invalid local subnet mask.';
     var errMsgL10n18 ='Mode config record name should not exceed 19 characters long.'
     var errMsgObjL10n = document.getElementById ('hd.entrNameModeConfDataMc');
     if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrFstPoolStrtAddrMc');
     if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.foroctateMc');
     if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrFstPoolEndAddrMc');
     if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrSecPoolStrtAddrMc');
     if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrSecPoolEndAddrMc');
     if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrTrdPoolStrtAddrMc');
     if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrTrdPoolEndAddrMc');
     if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrPrWinsMc');
     if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrSecWinsMc');
     if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;  
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrPrDnsMc');
     if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value;   
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrSecDnsMc');
     if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.secondsMc');
     if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.kilobytesMc');
     if (errMsgObjL10n) errMsgL10n14 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.entrSaLfTmInMc');
     if (errMsgObjL10n) errMsgL10n15 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalIpAddrLocMc');
     if (errMsgObjL10n) errMsgL10n16 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalSnmAddrLocMc');
     if (errMsgObjL10n) errMsgL10n17 = errMsgObjL10n.value;
     errMsgObjL10n = document.getElementById ('hd.invalidRecordNameLength');
     if (errMsgObjL10n) errMsgL10n18 = errMsgObjL10n.value;
      /* L10N Error Message Collection End */
	
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtModeCfgRecName," + errMsgL10n1;
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

    var txtNameObj = document.getElementById ('txtModeCfgRecName');
    if (txtNameObj && !txtNameObj.disabled && txtNameObj.value.length > 19)
        {
        alert (errMsgL10n18);
        txtNameObj.focus();
        return false;
        }
	
    /* validate all IP addresses: check for empty and invalid values */
    if (ipv4AddrOctetsValidate ('tblPool1StartAddr', 'IP', false, true,
             errMsgL10n2, errMsgL10n3+" ", true) == false)
        return false;
    if (ipv4AddrOctetsValidate ('tblPool1EndAddr', 'IP', false, true,
             errMsgL10n4, errMsgL10n3+" ", true) == false)
        return false;
    if(getIPInt('tblPool2StartAddr')!=0)
        {       
    	if (ipv4AddrOctetsValidate ('tblPool2StartAddr', 'IP', true, true,
             errMsgL10n5, errMsgL10n3+" ", true) == false)
        return false;
        }
    if(getIPInt('tblPool2EndAddr')!=0)
	    {
   		 if (ipv4AddrOctetsValidate ('tblPool2EndAddr', 'IP', true, true,
             errMsgL10n6, errMsgL10n3+" ", true) == false)
    		 return false;
        }
    
    if(getIPInt('tblPool3StartAddr')!=0)
        {
    	if (ipv4AddrOctetsValidate ('tblPool3StartAddr', 'IP', true, true,
             errMsgL10n7, errMsgL10n3+" ", true) == false)
    		 return false;
        }
    if(getIPInt('tblPool3EndAddr')!=0)
	    {
		if (ipv4AddrOctetsValidate ('tblPool3EndAddr', 'IP', true, true,
            errMsgL10n8, errMsgL10n3+" ", true) == false)
        	return false;
        }
    if(getIPInt('tblWinsPrimaryAddr')!=0)
        {     
    	if (ipv4AddrOctetsValidate ('tblWinsPrimaryAddr', 'IP', true, true,
             errMsgL10n9, errMsgL10n3+" ", true) == false)
      		  return false;
        }
    if(getIPInt('tblWinsSecondaryAddr')!=0)
        { 
  		if (ipv4AddrOctetsValidate ('tblWinsSecondaryAddr', 'IP', true, true,
            errMsgL10n10, errMsgL10n3+" ", true) == false)
      		  return false;
        }
    if(getIPInt('tblDnsPrimaryAddr')!=0)
        { 
	    if (ipv4AddrOctetsValidate ('tblDnsPrimaryAddr', 'IP', true, true,
            errMsgL10n11, errMsgL10n3+" ", true) == false)
		      return false;
        }
	  
    if(getIPInt('tblDnsPrimaryAddr')!=0)
        { 
	    if (ipv4AddrOctetsValidate ('tblDnsSecondaryAddr', 'IP', true, true,
             errMsgL10n12, errMsgL10n3+" ", true) == false)
		      return false;
        }
	
    var saLifeTimeSecObj = document.getElementById('txtSaLifetimeInSecs');
    if (saLifeTimeSecObj || !saLifeTimeSecObj.disabled)
    	{
    	var suffix = errMsgL10n13;
    	var type = comboSelectedValueGet ('selSaLifetimeType');
    	if (type != null)
    	    {
    	    switch (parseInt (type, 10))
    	    	{
    	    	case 1:
    	    		suffix = errMsgL10n14;
    	    		break;
    	    	default:
    	    		break;
    	    	}
    	    }
	    if (numericValueRangeCheck (saLifeTimeSecObj, 1, 
	                           errMsgL10n15+" " + suffix,
                                '', '', false, "", "") == false)
    	    return false;
        }
   		if (ipv4AddrOctetsValidate ('tblLocalIp', 'SN', true, true,
             errMsgL10n16, errMsgL10n3+" ", true) == false)
       		 return false;
        if (ipv4AddrOctetsValidate ('tblLocalSubnetMask', 'SM', true, true,
            errMsgL10n17, errMsgL10n3+" ", true) == false)
	   		 return false;

	if(saValueRangeCheck () == false)
		return false;
      
        if(subnetValidate('tblLocalIp', 'tblLocalSubnetMask',' for Local Subnet IP Address',true)==false){
                return false;
                }
	}
function saValueRangeCheck ()
{

	 /* L10N Error Message Collection Start */
    var errMsgL10n1 ='Invalid SA Life time value';
    var errMsgL10n2 ='seconds';
    var errMsgL10n3 ='Kbytes';
    var errMsgObjL10n = document.getElementById ('hd.entrSaLfTmValMc');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.secondsMc');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.kbytesMc');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;


    var saObj = document.getElementById ('txtSaLifetimeInSecs');
	var selValue = comboSelectedValueGet ('selSaLifetimeType');
	if (selValue == null) return;
	switch (parseInt (selValue, 10))
   	{
	case 0:
		return numericValueRangeCheck1 (saObj, '', '', 300, true, errMsgL10n1+":", errMsgL10n2);
   		break;
	case 1:
		return numericValueRangeCheck1 (saObj, '', '', 1920000, true,errMsgL10n1+":", errMsgL10n3);
   		break;
   	default:
   		break;
   	}
	}

